Bug 100499 - (ACPI) not able to connect to Cable internet with RealTek 8139 and DHCP IP assignment or manual assignment
(ACPI) not able to connect to Cable internet with RealTek 8139 and DHCP IP as...
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-07-22 18:40 EDT by Robert W. Davis
Modified: 2013-07-02 22:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-03 03:39:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ACPIDMP Output (68.66 KB, text/plain)
2003-07-29 20:14 EDT, Ethan Bonick
no flags Details
dmidecode output (5.19 KB, text/plain)
2003-07-29 20:18 EDT, Ethan Bonick
no flags Details
ACPI patch patch for VT86/Award PCI interrupts (12.21 KB, patch)
2003-08-21 18:12 EDT, Intel Linux ACPI folks
no flags Details | Diff

  None (edit)
Description Robert W. Davis 2003-07-22 18:40:10 EDT
Description of problem: RealTek 8139 will not activate using DHCP assignment

Version-Release number of selected component (if applicable):

How reproducible:

Try using a RealTek 8139 and either Cable or DSL internet and connect.  It will
not work.  
Steps to Reproduce:
Actual results:

Expected results:

Additional info:  Tried to connect using a different choice for the RealTek
8139, then used the first setting and manually set the IP, only after I was able
to activate the ethernet connection.  However, I was still unable to connect to
the internet until I "downgraded" to RedHat 9.
Comment 1 Nathan G. Grennan 2003-07-23 14:54:53 EDT
Try the kernel boot option acpi=off

Check out https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=100522 for more
Comment 2 Ethan Bonick 2003-07-29 20:14:04 EDT
Upgraded to 9.0.93 beta andd no longer use network. I enabled acpi=off in grub
and it works. I have included outpt from acpidmp and dmidecode
Comment 3 Ethan Bonick 2003-07-29 20:14:51 EDT
Created attachment 93242 [details]
Comment 4 Ethan Bonick 2003-07-29 20:18:23 EDT
Created attachment 93245 [details]
dmidecode output
Comment 5 Len Brown 2003-08-08 18:18:25 EDT
if you boot with "pci=noacpi" does the network come up?
can you append the dmesg -s40000 and /proc/interrupts output from the failure 
& success cases?
Comment 6 Robert W. Davis 2003-08-16 02:59:37 EDT
I reinstalled Severn and added an avanced boot option(?) using acpi=off.  After
install, my network card is operating and I am able to connect to my cable internet.
Comment 7 Intel Linux ACPI folks 2003-08-21 18:12:15 EDT
Created attachment 93835 [details]
ACPI patch patch for VT86/Award PCI interrupts

This patch has fixed the ACPI interrupt problem for similar systems.
Please try applying it to a copy of your Severn BETA1 kernel to
see if works for you too:

~/src/linux-2.4.21-20.1.2024.2.1.nptl> patch -Np1 < ./pci_link-severn.patch
patching file arch/i386/kernel/io_apic.c
patching file arch/i386/kernel/mpparse.c
patching file drivers/acpi/pci_irq.c
patching file drivers/acpi/pci_link.c
patching file include/acpi/acpi_drivers.h

Note You need to log in before you can comment on or make changes to this bug.